Subject: Re: [netmod] RFC 6095 on Extending YANG with Language Abstractions

From: Kent Watsen <[email-masked]>
Date: Thu, 30 Jun 2011 15:25:57 -0700

> We would be happy to hear from folks who plan to use the language extensions
> in RFC 6095 for modeling. Please send Bernd and myself a note if you would
> like to have support for such a modeling effort.

I have the need to define a hierarchal data structure now...so count me in for giving it a whirl   

> There is an open source validation tool for YANG Complex Types and Typed 
> Instance Identifiers available at http://code.google.com/p/pyang-ct/. 

Is this being maintained? - last pyang-ct check-in was over a year ago, but pyang has been updated since...

BTW, I never understood why this statement in section 7.11: 

    "A grouping MUST NOT reference itself, neither directly nor
     indirectly through a chain of other groupings."

Can anybody recall?

Thanks,
Kent

---

From: Andy Bierman <[email-masked]>
Date: Thu, 30 Jun 2011 15:50:46 -0700

>       indirectly through a chain of other groupings."

There is no end condition to stop the recursion.
The WG wanted to keep things reasonably simple to implement.

> Kent

Andy